
D4Science Infrastructure - Incident #12696

geonetwork-spatialdata.d4science.org denied access to database

Oct 15, 2018 05:03 PM - Fabio Sinibaldi

Status: Closed Start date: Oct 15, 2018

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: No Sprint   

Infrastructure: Production   

Description

Node configuration seems faulty. From logs I can see the following error (seemingly the cause of other following ones) : 

Cannot create PoolableConnectionFactory (FATAL: no pg_hba.conf entry for host "146.48.123.40", use

r "geonetwork-spatialdata-lab", database "geonetwork-spatialdata-lab", SSL off)

History

#1 - Oct 15, 2018 05:05 PM - Andrea Dell'Amico

- Description updated

#2 - Oct 15, 2018 05:12 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 100

I just reloaded the postgresql service to be on the safe side, but in the logs I saw:'

2018-10-15 16:59:43.413 CEST [19806] geonetwork-spatialdata-lab@geonetwork-spatialdata-lab LOG:  connection au

thorized: user=geonetwork-spatialdata-lab database=geonetwork-spatialdata-lab

2018-10-15 16:59:43.413 CEST [19803] geonetwork-spatialdata-lab@geonetwork-spatialdata-lab LOG:  connection au

thorized: user=geonetwork-spatialdata-lab database=geonetwork-spatialdata-lab

2018-10-15 16:59:44.852 CEST [19808] [unknown]@[unknown] LOG:  connection received: host=geonetwork-spatialdat

a.d4science.org port=60133

2018-10-15 16:59:44.854 CEST [19808] geonetwork-spatialdata-lab@geonetwork-spatialdata-lab LOG:  connection au

thorized: user=geonetwork-spatialdata-lab database=geonetwork-spatialdata-lab

 I reloaded the service after that time.

#3 - Oct 15, 2018 06:02 PM - Fabio Sinibaldi

- Status changed from In Progress to Closed

GeoNetwork is now connected and the error is no more stated in the webapp logs. 
